<?php

/**
 * Social Contact Form loaders
 */

// Constants
define( 'SCF_DIR', plugin_dir_path( SCF_FILE ) );
define( 'SCF_URL', plugin_dir_url( SCF_FILE ) );
define( 'SCF_INC', SCF_DIR . DIRECTORY_SEPARATOR . 'includes' );
define( 'SCF_PUBLIC', SCF_URL . 'public' );
define( 'SCF_TEMPLATE', SCF_DIR . DIRECTORY_SEPARATOR . 'templates' );

// Require files

if ( file_exists( SCF_INC . '/trait.common.php' ) ) {
	require_once SCF_INC . '/trait.common.php';
}

if ( file_exists( SCF_INC . '/wppool.product.php' ) ) {
	require_once SCF_INC . '/wppool.product.php';
}

if ( file_exists( SCF_INC . '/class.app.php' ) ) {
	require_once SCF_INC . '/class.app.php';
}

if ( file_exists( SCF_INC . '/appsero/Client.php' ) && !class_exists('\SocialContactForm\Appsero\Client') ) {
	require_once SCF_INC . '/appsero/Client.php';
}

// Load required files
if ( file_exists( SCF_INC . '/functions.php' ) ) {
	require_once SCF_INC . '/functions.php';
}

if ( file_exists( SCF_INC . '/admin/class.app.php' ) ) {
	require_once SCF_INC . '/admin/class.app.php';
}

if ( file_exists( SCF_INC . '/class.lead.php' ) ) {
	require_once SCF_INC . '/class.lead.php';
}

if ( file_exists( SCF_INC . '/admin/class.hooks.php' ) ) {
	require_once SCF_INC . '/admin/class.hooks.php';
}
if ( file_exists( SCF_INC . '/admin/class.ajax.php' ) ) {
	require_once SCF_INC . '/admin/class.ajax.php';
}

if ( file_exists( SCF_INC . '/class.hooks.php' ) ) {
	require_once SCF_INC . '/class.hooks.php';
}

if ( file_exists( SCF_INC . '/class.field.php' ) ) {
	require_once SCF_INC . '/class.field.php';
}
 