<div class="wrap scf_wrapper" style="display: none" x-data="SCF_Leads">

    <div @click="upgradeModal" class="scf_container">

        <div class="p-4 min-h-screen" x-show="!lead.loading" :class="{'pointer-events-none animate-pulse': lead.loading, 'pointer-events-none opacity-60' : !isPro}">
            <!-- list of the leads  -->
            <?php
            # part of the leads list
            scf_render('admin/leads/header');
            scf_render('admin/leads/content');
            scf_render('admin/leads/pagination');

            # modal
            scf_render('admin/leads/modal');
            ?>
        </div>

        <div x-show="lead.loading" class="p-8">
            <div class="w-full h-full flex items-center justify-center text-center gap-2 animate-pulse ">
                <div class="w-6 h-6 rounded-md bg-gray-300"></div>
                <span class="text-base font-medium text-slate-600"><?php echo __('Loading please wait...', 'social-contact-form'); ?></span>
            </div>
        </div>
               
    </div>

     <!-- footer text  -->
     <div class="px-3 my-2 text-center text-xs text-slate-400"><?php echo wp_sprintf( '%s', apply_filters('scf_footer', __('Social Contact Form is powered by WPPOOL', 'social-contact-form') )); ?></div>                

    <!-- upgrade notice  -->
    <?php scf_render('admin/upgrade-popup'); ?>
</div>


<style>
    #wpcontent {
        padding-left: 0 !important;
    }
</style>